ErrorCorrectionLevel (ZXing 3.4.0 API)

com.google.zxing.qrcode.decoder

## Enum ErrorCorrectionLevel

- java.lang.Object
- - java.lang.Enum<ErrorCorrectionLevel>
  - - com.google.zxing.qrcode.decoder.ErrorCorrectionLevel

- All Implemented Interfaces:
    Serializable, Comparable<ErrorCorrectionLevel>

      public enum ErrorCorrectionLevel
      extends Enum<ErrorCorrectionLevel>

  See ISO 18004:2006, 6.5.1. This enum encapsulates the four error correction levels defined by the QR code standard.

  Author:
    Sean Owen

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `H` H = ~30% correction
    `L` L = ~7% correction
    `M` M = ~15% correction
    `Q` Q = ~25% correction

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ErrorCorrectionLevel` | `forBits(int bits)`
    `int` | `getBits()`
    `static ErrorCorrectionLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ErrorCorrectionLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### L

          public static final ErrorCorrectionLevel L

      L = ~7% correction

    - #### M

          public static final ErrorCorrectionLevel M

      M = ~15% correction

    - #### Q

          public static final ErrorCorrectionLevel Q

      Q = ~25% correction

    - #### H

          public static final ErrorCorrectionLevel H

      H = ~30% correction

  - ### Method Detail

    - #### values

          public static ErrorCorrectionLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ErrorCorrectionLevel c : ErrorCorrectionLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ErrorCorrectionLevel valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getBits

          public int getBits()

    - #### forBits

          public static ErrorCorrectionLevel forBits(int bits)

      Parameters:
        `bits` - int containing the two bits encoding a QR Code's error correction level
      Returns:
        ErrorCorrectionLevel representing the encoded error correction level

Copyright © 2007–2019. All rights reserved.